// При запуске программы на экране должна отображаться первая картинка.
// Через 3 секунды вместо нее должна быть показана вторая картинка.
// Еще через 3 секунды - третья.
// Еще через 3 секунды - четвертая.
// После того, как покажутся все картинки - этот цикл должен начаться заново.
// При запуске программы где-то на экране должна появиться кнопка с надписью Прекратить.
// По нажатию на кнопку Прекратить цикл завершается, на экране остается показанной та картинка, которая была там при нажатии кнопки.
// Рядом с кнопкой Прекратить должна быть кнопка Возобновить показ, при нажатии которой цикл продолжается с той картинки, которая в данный момент показана на экране.


let images = document.querySelectorAll('.image-to-show');
// первый элемент записываем в переменнуюб делаем счетчик от первой картинки
let current = 0;

//создаем функцию слайдер
function slider () {
    //перебираем все картинки 
    for (let i = 0; i < images.length; i++) {
        //добавляем класс, который убирает картинку
        images[i].classList.add('invis-img'); 
    } 
    //удаляем это класс
    images[current].classList.remove('invis-img');
    //зацикливаем слайдер по кругу
    if (current+1 == images.length) {
        current = 0;
    }
    //наращиваем
    else {
        current++;
    }
    //зацикливаем наш таймер
    runSlider();
}

// создаем идентификатор для таймера
let timer;

// создаем автоматический слайдер
function runSlider () {
    // в идентификатор записываем значение таймаута, говорим чтобы функция слайдер повторялась каждые 3 секунды
    timer = setTimeout(slider, 3000)
}

// создаем функцию на кнопки
let functionButton = (event) => {
    //если событие произошло на кнопке с классом стоп
    if(event.target.classList.contains('stop')){
        // останавливаем слайдер
        clearInterval(timer)
        //иначе запускаем слайдер
    } else {
        clearInterval(timer)
        runSlider();
    }
}

//ищем блок с кнопками 
let ourButton = document.querySelector('.block-btn');
//ищем все элементы с классом , который убирает наши кнопки 
let classBtn = document.querySelectorAll('.hide');
//пока не запуститься скрипт, кнопок на странице не будет
//удаляем с кнопок класс и показываем их на странице
classBtn.forEach(Element => Element.classList.remove('hide'))
//вешаем слушателя, который реагирует на клик и вызывает функцию кнопок
ourButton.addEventListener('click', functionButton);
// запускаем слайдер
runSlider();


